<?php

namespace Netzmacher\QuickShop\TCA\Ctrl;

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2017-2019 -  Dirk Wildt <http://wildt.at.die-netzmacher.de>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 * @author      Dirk Wildt <http://wildt.at.die-netzmacher.de>
 * @package     TYPO3
 * @subpackage  quick_shop
 * @version     9.1.1
 * @since       7.0.2
 */
class Searchfields
{

	/**
	 * Get icon array from TYPO3 7.6
	 *
	 * @access public
	 * @return      array
	 * @version     8.10.0
	 * @since       7.0.2
	 */
	static public function Image()
	{
		return ''
						. 'image'
						. ',imagecaption'
						. ',imageseo'
						. ',imagewidth'
						. ',imageheight'
						. ',imageorient'
						. ',imagecaption'
						. ',imagecols'
						. ',imageborder'
						. ',imagecaption_position'
						. ',image_link'
						. ',image_zoom'
						. ',image_noRows'
						. ',image_effects'
						. ',image_compression'
						. ','
		;
	}

	/**
	 * @access public
	 * @return      string
	 * @version     9.1.1
	 * @since       8.14.0
	 */
	static public function Media()
	{
		return ''
						. 'documents'
						. ',documentslayout'
// #i0294, 191116, dwildt, 2-						
//						. ',linkicon_width'
//						. ',linkicon_height'
						. ','
		;
	}
	
}