<?php

if( !defined( 'TYPO3_MODE' ) )
{
  die( 'Access denied.' );
}

/* * ****************************************************************************
 * Index
 * 
 * Get extension configuration
 * Add static template
 * Register Icons
 * Add default page and user TSconfig
 * 
 * **************************************************************************** */

/* * ****************************************************************************
 * Get extension configuration
 * **************************************************************************** */

$confArr = unserialize( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'quick_shop' ] );
if( empty( $confArr[ 'tcaProductOrdering' ] ) )
{
  $TCA[ 'tx_quickshop_categories' ][ 'ctrl' ][ 'default_sortby' ] = 'ORDER BY title';
}
else
{
  $TCA[ 'tx_quickshop_products' ][ 'ctrl' ][ 'sortby' ] = 'sorting';
}
if( !empty( $confArr[ 'products_on_standardpages' ] ) )
{
  \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( 'tx_quickshop_categories' );
  \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( 'tx_quickshop_dimension' );
  \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( 'tx_quickshop_group' );
  \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( 'tx_quickshop_material' );
  \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( 'tx_quickshop_products' );
  \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( 'tx_quickshop_shippingcosts' );
}

/* * ****************************************************************************
 * Add static template
 * **************************************************************************** */

$path = 'Configuration/TypoScript/';

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Base/', 'Quick Shop [1.0.0] Basis' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Items/62037/', 'Quick Shop [2.0.0] Items' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Items/62037/tx_browser_pi1/andWhere/StockQuantity', 'Quick Shop [2.0.1] + only items in stock' );
//\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Properties/ch/', 'Quick Shop [2.1.0] + Properties ch (Switzerland)' );
//\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Properties/de/', 'Quick Shop [2.1.0] + Properties de (Germany)' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Items/62037/Filter/Category/Checkbox/', 'Quick Shop [2.1.1] + Filter Category Checkbox' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Items/62037/Filter/Category/Linklist/', 'Quick Shop [2.1.2] + Filter Category Linklist' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Items/62037/Filter/Category/Radiobuttons/', 'Quick Shop [2.1.3] + Filter Category Radiobuttons' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Items/62037/Filter/Category/Selectbox/', 'Quick Shop [2.1.4] + Filter Category Selectbox' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Items/62037/Filter/Category/Treeview/', 'Quick Shop [2.1.5] + Filter Category Treeview' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Items/62037/Sorting/Manual/', 'Quick Shop [2.1.6] + Manual Ordering' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Caddy/', 'Quick Shop [2.3.1] + Caddy' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Caddy/Variants/', 'Quick Shop [2.3.2] + Caddy Variants' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Caddy/ShippingDhlPackage/', 'Quick Shop [2.3.3] + Caddy shipping DHL Package in Germany' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Items/62039/', 'Quick Shop [3.0.0] Items Quickfinder' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Items/62038/', 'Quick Shop [4.0.0] Items Slider' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Provider/62100/', 'Quick Shop [5.0.0] Provider' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Provider/62101/', 'Quick Shop [5.1.0] Provider Map only' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Provider/62102/', 'Quick Shop [5.2.0] Provider Map without' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Provider/62100/tx_seodynamictag_pi1/', 'Quick Shop [5.8.0] Provider +SEO Dynamic Tag' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Provider/tx_radialserach_pi1/NearestLocation/', 'Quick Shop [5.9.0] Provider +Nearest Location' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Categories/Categories/63100/', 'Quick Shop [6.1.0] Categories' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Categories/Categories/63100/tx_browser_pi1/twoColumns/', 'Quick Shop [6.1.1] +Image and Text in Columns' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Categories/Dimension/63200/', 'Quick Shop [6.2.0] Dimensions' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Categories/Dimension/63200/tx_browser_pi1/twoColumns/', 'Quick Shop [6.2.1] +Image and Text in Columns' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Categories/Group/63300/', 'Quick Shop [6.3.0] Groups' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Categories/Group/63300/tx_browser_pi1/twoColumns/', 'Quick Shop [6.3.1] +Image and Text in Columns' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Categories/Material/63400/', 'Quick Shop [6.4.0] Material' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Categories/Material/63400/tx_browser_pi1/twoColumns/', 'Quick Shop [6.4.1] +Image and Text in Columns' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Framework/Bootstrap/', 'Quick Shop [9.0.1] +Framework Bootstrap' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Startcustomer/Demo/', 'Quick Shop [10.0.0] + Startcustomer Demo' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Imagecycle/', 'Quick Shop [90.0.0] + ImageCycle: no conflict' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . '62037/', 'DEPRECATED: Quick Shop [-] Basis' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path . 'Slick/', 'DEPRECATED: Quick Shop [-] Slick' );


/* * ****************************************************************************
 * Register Icons
 * **************************************************************************** */

$pathToIcons = \Netzmacher\Refresh\Compatibility\Core\Utility\ExtensionManagementUtility::extRelPath( $_EXTKEY ) . 'Resources/Public/Images/Icons/ExtIcon/';
$TCA[ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Quick Shop Items', 'quickshop', $pathToIcons . 'quick_shop.svg' );
$TCA[ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Quick Shop Page', 'quickshoppage', $pathToIcons . 'apps-quickshop-page.svg' );
\TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon( 'pages', 'contains-quickshop', '../typo3conf/ext/quick_shop/Resources/Public/Images/Icons/ExtIcon/quick_shop.svg' );
\TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon( 'pages', 'contains-quickshoppage', '../typo3conf/ext/quick_shop/Resources/Public/Images/Icons/ExtIcon/apps-quickshop-page.svg' );

/* * ****************************************************************************
 * Add default page and user TSconfig
 * **************************************************************************** */

require_once( PATH_typo3conf . 'ext/quick_shop/Configuration/PageTS/TxLinkhandler/Default/tx_quickshop_products.php' );