<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

//$_EXTKEY = 'quick_shop';
$fal = \Netzmacher\QuickShop\ExtensionManager::getFal();

$tx_quickshop_products = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products',
				'label' => 'title',
				'label_alt' => 'price',
				'label_alt_force' => true,
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'languageField' => 'sys_language_uid',
				'transOrigPointerField' => 'l10n_parent',
				'transOrigDiffSourceField' => 'l10n_diffsource',
				'default_sortby' => 'ORDER BY title',
				'delete' => 'deleted',
				'dividers2tabs' => true, // Needed for TYPO3 6.2
				'enablecolumns' => array(
						'disabled' => 'hidden',
						'starttime' => 'starttime',
						'endtime' => 'endtime',
						'fe_group' => 'fe_group',
				),
				'hideAtCopy' => true,
				'iconfile' => 'EXT:quick_shop/ext_icon.gif', // 180318, dwildt: And is needed for TYP03 6.2
				'thumbnail' => 'image',
				'type' => 'type',
				'typeicon_column' => 'type',
				'typeicon_classes' => \Netzmacher\QuickShop\TCA\Ctrl\Icons::TypeIconClasses(),
				'searchFields' => ''
				. '%%%sys_language_uid,l10n_parent,l10n_diffsource,%%%'
				. 'type,sku,ean,title,short,description,'
				. 'page,tx_quickshop_products,url,'
				. 'teaser_description,teaser_short,teaser_title,'
				. 'tx_quickshop_provider,'
				. 'mail_address,mail_street,mail_postcode,mail_city,mail_country,geoupdateprompt,geoupdateforbidden,mail_lat,mail_lon,mail_url,'
				. 'marginal_title,marginal_short,marginal_description,'
				. 'datasheet,'
				. 'embeddedcode,'
				. 'tx_quickshop_variant,'
				. 'filterPrompt,tx_quickshop_categories,tx_quickshop_dimension,tx_quickshop_group,tx_quickshop_material,'
				. 'tx_quickshop_pricevariant,'
				. 'price,tax,weight,stockmanagement,stockquantity,stockprompt,packingunit,packingunitlabel,quantity_min,quantity_max,tx_quickshop_shippingcosts,'
				. \Netzmacher\QuickShop\TCA\Ctrl\Searchfields::Image()
				. \Netzmacher\QuickShop\TCA\Ctrl\Searchfields::Media()
				. 'hidden,topoffer,starttime,endtime,fe_group,'
				. 'ebay_keywords,seo_keywords,seo_description'
				,
				'filter' => 'filter_for_all_fields',
				'tx_browser' => array(
						'geoupdate' => array(
								'address' => array(
										'country' => 'mail_country',
										'areaLevel1' => '',
										'areaLevel2' => '',
										'location' => array(
												'zip' => 'mail_postcode',
												'city' => 'mail_city',
										),
										'street' => array(
												'name' => 'mail_street',
												'number' => null,
										),
								),
								'api' => array(
										'prompt' => 'geoupdateprompt',
										'forbidden' => 'geoupdateforbidden',
								),
								'geodata' => array(
										'lat' => 'mail_lat',
										'lon' => 'mail_lon',
								),
								'update' => \Netzmacher\QuickShop\ExtensionManager::getGeocoding(),
						),
				),
		),
		'interface' => array(
				'showRecordFieldList' => ''
				. '%%%sys_language_uid,l10n_parent,l10n_diffsource,%%%'
				. 'type,sku,ean,title,short,description,'
				. 'page,tx_quickshop_products,url,'
				. 'teaser_description,teaser_short,teaser_title,'
				. 'mail_address,mail_street,mail_postcode,mail_city,mail_country,geoupdateprompt,geoupdateforbidden,mail_lat,mail_lon,mail_url,'
				. 'tx_quickshop_provider,'
				. 'marginal_title,marginal_short,marginal_description,'
				. 'datasheet,'
				. 'embeddedcode,'
				. 'tx_quickshop_variant,'
				. 'filterPrompt,tx_quickshop_categories,tx_quickshop_dimension,tx_quickshop_group,tx_quickshop_material,'
				. 'tx_quickshop_pricevariant,'
				. 'price,tax,weight,stockmanagement,stockquantity,stockprompt,packingunit,packingunitlabel,quantity_min,quantity_max,tx_quickshop_shippingcosts,'
				. \Netzmacher\QuickShop\TCA\Ctrl\Searchfields::Image()
				. \Netzmacher\QuickShop\TCA\Ctrl\Searchfields::Media()
				. 'hidden,topoffer,starttime,endtime,fe_group,'
				. 'ebay_keywords,seo_keywords,seo_description'
		),
		'columns' => array(
				'datasheet' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.datasheet',
						'config' => array(
								'type' => 'text',
								'wrap' => 'off',
								'cols' => 80,
								'rows' => 15,
								// #i0086, 170326, dwildt, ~
								'wizards' => [
										'table' => [
												'notNewRecords' => 1,
												'enableByTypeConfig' => 1,
												'type' => 'script',
												'title' => 'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:bodytext.W.table',
												'icon' => 'content-table',
												'module' => [
														'name' => 'wizard_table'
												],
												'params' => [
														'xmlOutput' => 0
												]
										]
								],
						)
				),
				'description' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.description',
						'config' => \Netzmacher\QuickShop\TCA\Columns\Config::RTE(),
				),
				'ean' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.ean',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim',
						)
				),
				'ebay_keywords' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.ebay_keywords',
						'l10n_mode' => 'prefixLangTitle',
						'config' => array(
								'type' => 'input',
								'size' => '80',
								'eval' => 'trim'
						),
				),
				'embeddedcode' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.embeddedcode',
						'config' => array(
								'type' => 'text',
								'cols' => '50',
								'rows' => '10',
						),
				),
				'endtime' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'endtime' ],
				'fe_group' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'fe_group' ],
				'filterPrompt' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.filterPrompt',
						'config' => array(
								'type' => 'user',
								'userFunc' => 'Netzmacher\QuickShop\Utility\Userfunc\Tca->promptFilter',
						),
				),
				'geoupdateprompt' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.geoupdateprompt',
						'config' => array(
								'type' => 'text',
								'cols' => '50',
								'rows' => '10',
						),
				),
				'geoupdateforbidden' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.geoupdateforbidden',
						'config' => array(
								'type' => 'check',
								'default' => '0'
						)
				),
				'hidden' => \Netzmacher\QuickShop\TCA\Columns::Hidden(),
				'mail_address' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.mail_address',
						'config' => array(
								'type' => 'text',
								'cols' => '30',
								'rows' => '5',
						),
				),
				'mail_street' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.mail_street',
						'config' => array(
								'type' => 'input',
								'size' => '60',
								'eval' => 'trim'
						),
				),
				'mail_postcode' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.mail_postcode',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'mail_city' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.mail_city',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim'
						),
				),
				'mail_country' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.mail_country',
						'config' => array( 'type' => 'input', 'size' => '30', ),
				),
				'mail_lat' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.mail_lat',
						'config' => array( 'type' => 'input', 'size' => '30', ),
				),
				'mail_lon' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.mail_lon',
						'config' => array( 'type' => 'input', 'size' => '30', ),
				),
				'mail_url' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.mail_url',
						'config' => \Netzmacher\QuickShop\TCA\Columns\Wizards::Url(),
				),
				'marginal_title' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.marginal_title',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim',
						)
				),
				'marginal_short' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.marginal_short',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim',
						)
				),
				'marginal_description' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.marginal_description',
						'config' => array(
								'type' => 'text',
								'cols' => '30',
								'rows' => '5',
						)
				),
				'packingunit' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.packingunit',
						'config' => array(
								'type' => 'input',
								'size' => '10',
								'eval' => 'int',
								'default' => '1'
						)
				),
				'packingunitlabel' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.packingunitlabel',
						'config' => array(
								'type' => 'select',
								'renderType' => 'selectSingle',
								'items' => array(
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.packingunitlabel.bottles', 'bottles' ),
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.packingunitlabel.boxes', 'boxes' ),
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.packingunitlabel.cans', 'cans' ),
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.packingunitlabel.cups', 'cups' ),
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.packingunitlabel.parts', 'parts' ),
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.packingunitlabel.rolls', 'rolls' ),
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.packingunitlabel.tubes', 'tubes' ),
								),
								'default' => 'parts',
								'size' => 1,
								'maxitems' => 1,
								'eval' => 'required',
						)
				),
				'page' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.page',
						'config' => array(
								'type' => 'group',
								'internal_type' => 'db',
								'allowed' => 'pages',
								'size' => '1',
								'maxitems' => '1',
								'minitems' => '1',
						),
				),
				'price' => array(
						// #i0252, 180912, dwildt, 1-
						'l10n_mode' => 'exclude',
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.price',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'required,double2,nospace',
						)
				),
				'quantity_min' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.quantity_min',
						'config' => array(
								'type' => 'input',
								'size' => '10',
								'eval' => 'int',
						)
				),
				'quantity_max' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.quantity_max',
						'config' => array(
								'type' => 'input',
								'size' => '10',
								'eval' => 'int',
						)
				),
				'seo_keywords' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:tca_phrase.seo_keywords',
						'l10n_mode' => 'prefixLangTitle',
						'config' => array(
								'type' => 'input',
								'size' => '80',
								'eval' => 'trim'
						),
				),
				'seo_description' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:tca_phrase.seo_description',
						'l10n_mode' => 'prefixLangTitle',
						'config' => array(
								'type' => 'text',
								'cols' => '50',
								'rows' => '10',
						),
				),
				'short' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.short',
						'config' => array(
								'type' => 'text',
								'cols' => '30',
								'rows' => '5',
						)
				),
				'sku' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.sku',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim',
						)
				),
				'starttime' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'starttime' ],
				'stockmanagement' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockmanagement',
						'config' => array(
								'type' => 'check',
								'default' => 0,
						)
				),
				'stockquantity' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockquantity',
						'config' => array(
								'type' => 'input',
								'size' => '10',
								'eval' => 'int',
								'default' => 1
						)
				),
				'stockprompt' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockprompt',
						'config' => array(
								'type' => 'select',
								'renderType' => 'selectSingle',
								'items' => array(
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockprompt.priceonapplication', 'application' ),
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockprompt.booked', 'booked' ),
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockprompt.negotiation', 'negotiation' ),
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockprompt.notavailable', 'notavailable' ),
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockprompt.notdeliverable', 'notdeliverable' ),
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockprompt.notinstock', 'notinstock' ),
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockprompt.onapplication', 'onapplication' ),
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockprompt.overthecounter', 'overthecounter' ),
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockprompt.refit', 'refit' ),
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockprompt.selled', 'selled' ),
								),
								'default' => 'selled',
								'size' => 1,
								'maxitems' => 1,
								'eval' => 'required',
						)
				),
				'tax' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.tax',
						'config' => array(
								'type' => 'select',
								'renderType' => 'selectSingle',
								'items' => array(
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.tax.I.0', '1' ),
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.tax.I.1', '2' ),
										array( 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.tax.I.2', '0' ),
								),
								'size' => 1,
								'maxitems' => 1,
								'eval' => 'required',
						)
				),
				'teaser_description' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.teaser_description',
						'config' => array(
								'type' => 'text',
								'cols' => '30',
								'rows' => '5',
						)
				),
				'teaser_short' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.teaser_short',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim',
						)
				),
				'teaser_title' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.teaser_title',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim',
						)
				),
				'title' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.title',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim,required',
						)
				),
				'topoffer' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.topoffer',
						'config' => array(
								'type' => 'check',
								'default' => '0',
						),
				),
				'tx_quickshop_categories' => array(
						'exclude' => 1,
						// #t1814, 171212, dwildt, 1-/3+
						//'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.tx_quickshop_categories',
						'config' => Netzmacher\QuickShop\TCA\Columns\Config::SelectTree(
										'tx_quickshop_products'
										, 'tx_quickshop_categories'
										, 'AND tx_quickshop_categories.' . Netzmacher\QuickShop\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' '
										. 'ORDER BY tx_quickshop_categories.title'
						),
				),
				'tx_quickshop_dimension' => array(
						'exclude' => 1,
						// #t1814, 171212, dwildt, 1-/3+
						//'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.tx_quickshop_dimension',
						'config' => array(
								'behaviour' => array(
										'allowLanguageSynchronization' => true,
								),
								'foreign_table' => 'tx_quickshop_dimension',
								'foreign_table_where' => 'AND tx_quickshop_dimension.' . Netzmacher\QuickShop\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' ORDER BY tx_quickshop_dimension.title',
								'maxitems' => 1000,
								'minitems' => 0,
								'MM' => 'tx_quickshop_mm',
								"MM_match_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_dimension'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_dimension'
								),
								'renderType' => 'selectMultipleSideBySide',
								'size' => 10,
								'type' => 'select',
						),
				),
				'tx_quickshop_group' => array(
						'exclude' => 1,
						// #t1814, 171212, dwildt, 1-/3+
						//'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.tx_quickshop_group',
						'config' => array(
								'behaviour' => array(
										'allowLanguageSynchronization' => true,
								),
								'foreign_table' => 'tx_quickshop_group',
								'foreign_table_where' => 'AND tx_quickshop_group.' . Netzmacher\QuickShop\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' ORDER BY tx_quickshop_group.title',
								'maxitems' => 1000,
								'minitems' => 0,
								'MM' => 'tx_quickshop_mm',
								"MM_match_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_group'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_group'
								),
								'renderType' => 'selectMultipleSideBySide',
								'size' => 10,
								'type' => 'select',
						),
				),
				'tx_quickshop_material' => array(
						'exclude' => 1,
						// #t1814, 171212, dwildt, 1-/3+
						//'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.tx_quickshop_material',
						'config' => array(
								'behaviour' => array(
										'allowLanguageSynchronization' => true,
								),
								'foreign_table' => 'tx_quickshop_material',
								'foreign_table_where' => 'AND tx_quickshop_material.' . Netzmacher\QuickShop\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' ORDER BY tx_quickshop_material.title',
								'maxitems' => 10,
								'minitems' => 0,
								'MM' => 'tx_quickshop_mm',
								"MM_match_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_material'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_material'
								),
								'renderType' => 'selectMultipleSideBySide',
								'size' => 10,
								'type' => 'select',
						),
				),
				'tx_quickshop_pricevariant' => \Netzmacher\QuickShop\TCA\Columns::SelectMultipleSideBySide( 'tx_quickshop_products', 'tx_quickshop_pricevariant' ),
// #i0295, 191206, UNDER CONSTRUCTION, dwildt
//				'tx_quickshop_product' => array(
//						'exclude' => 1,
//						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.tx_quickshop_product',
//						'config' => array(
//								'behaviour' => array(
//										'allowLanguageSynchronization' => true,
//								),
//								'foreign_table' => 'tx_quickshop_products',
//								'foreign_table_where' => 'AND tx_quickshop_products.' . Netzmacher\QuickShop\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' ORDER BY tx_quickshop_products.title',
//								'maxitems' => 1,
//								'minitems' => 1,
//								'MM' => 'tx_quickshop_mm',
//								"MM_match_fields" => array(
//										'table_local' => 'tx_quickshop_products',
//										'table_foreign' => 'tx_quickshop_products'
//								),
//								"MM_insert_fields" => array(
//										'table_local' => 'tx_quickshop_products',
//										'table_foreign' => 'tx_quickshop_products'
//								),
//								'renderType' => 'selectMultipleSideBySide',
//								'size' => 10,
//								'type' => 'select',
//						),
//				),
				'tx_quickshop_provider' => array(
						'exclude' => 1,
						// #t1814, 171212, dwildt, 1-/3+
						//'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.tx_quickshop_provider',
						'config' => array(
								'behaviour' => array(
										'allowLanguageSynchronization' => true,
								),
								'foreign_table' => 'tx_quickshop_provider',
								'foreign_table_where' => 'AND tx_quickshop_provider.' . Netzmacher\QuickShop\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' ORDER BY tx_quickshop_provider.title',
								'maxitems' => 1000,
								'minitems' => 0,
								'MM' => 'tx_quickshop_mm',
								"MM_match_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_provider'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_provider'
								),
								'renderType' => 'selectMultipleSideBySide',
								'size' => 10,
								'type' => 'select',
						),
				),
				'tx_quickshop_variant' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.tx_quickshop_variant',
						'config' => array(
								'type' => 'inline',
								'foreign_table' => 'tx_quickshop_variant',
								'foreign_field' => 'tx_quickshop_products',
								'foreign_sortby' => 'sorting',
								'maxitems' => 1000,
								'appearance' => array(
										'collapseAll' => 1,
										'expandSingle' => 1,
										'useSortable' => 1,
										'newRecordLinkAddTitle' => 1,
										'levelLinksPosition' => 'top',
										'showSynchronizationLink' => 0,
										'showAllLocalizationLink' => 1,
										'showPossibleLocalizationRecords' => 1,
										'showRemovedLocalizationRecords' => 1,
								),
								'behaviour' => array(
										'localizeChildrenAtParentLocalization' => 1,
								),
						),
				),
				'tx_quickshop_shippingcosts' => array(
						'exclude' => 1,
						// #t1814, 171212, dwildt, 1-/3+
						//'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.tx_quickshop_shippingcosts',
						'config' => array(
								'behaviour' => array(
										'allowLanguageSynchronization' => true,
								),
								'type' => 'select',
								'renderType' => 'selectMultipleSideBySide',
								'minitems' => 0,
								'maxitems' => 1,
								'MM' => 'tx_quickshop_mm',
								"MM_match_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_shippingcosts'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_quickshop_products',
										'table_foreign' => 'tx_quickshop_shippingcosts'
								),
								'foreign_table' => 'tx_quickshop_shippingcosts',
								'foreign_table_where' => 'AND tx_quickshop_shippingcosts.' . Netzmacher\QuickShop\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' ORDER BY tx_quickshop_shippingcosts.value',
						),
				),
				'type' => \Netzmacher\QuickShop\TCA\Columns::Type(),
				'url' => array(
						'exclude' => 0,
//          'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.url',
						'config' => \Netzmacher\QuickShop\TCA\Columns\Wizards::Url(),
				),
				'weight' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.weight',
						'config' => array(
								'type' => 'input',
								'size' => '10',
								'eval' => 'double2,nospace',
						)
				),
		),
		'palettes' => array(
				'access' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'palettes' ][ 'access' ],
				'filter' => array(
						'showitem' => ''
						. 'filterPrompt,--linebreak--,'
						. 'tx_quickshop_categories,tx_quickshop_dimension,--linebreak--,'
						. 'tx_quickshop_group,tx_quickshop_material,'
						,
						'canNotCollapse' => 1,
				),
				'mailaddress' => array(
						'showitem' => ''
						. 'mail_address;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.mail_address,--linebreak--,'
						. 'mail_street;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.mail_street,--linebreak--,'
						. 'mail_postcode;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.mail_postcode,'
						. 'mail_city;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.mail_city,--linebreak--,'
						. 'mail_country;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.mail_country,',
						'canNotCollapse' => 1,
				),
				'maillatlon' => array(
						'showitem' => ''
						. 'geoupdateprompt;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.geoupdateprompt,--linebreak--,'
						. 'geoupdateforbidden;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.geoupdateforbidden,--linebreak--,'
						. 'mail_lat;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.mail_lat,'
						. 'mail_lon;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.mail_lon,',
						'canNotCollapse' => 1,
				),
				'price' => array(
						'showitem' => ''
						. 'tx_quickshop_pricevariant,'
						. 'price;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.price,'
						. 'tax;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.tax,',
						'canNotCollapse' => 1,
				),
				'packingunitWeight' => array(
						'showitem' => ''
						. 'packingunit;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.packingunit,'
						. 'packingunitlabel;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.packingunitlabel,'
						. 'weight;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.weight,',
						'canNotCollapse' => 1,
				),
				'quantity' => array(
						'showitem' => ''
						. 'quantity_min;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.quantity_min,'
						. 'quantity_max;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.quantity_max,',
						'canNotCollapse' => 1,
				),
				'skuean' => array(
						'showitem' => 'sku;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.sku,ean;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.ean,',
						'canNotCollapse' => 1,
				),
				'stockmanagement' => array(
						'showitem' => ''
						. 'stockmanagement;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockmanagement,'
						. 'stockquantity;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockquantity,'
						. 'stockprompt;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.stockprompt,'
						,
						'canNotCollapse' => 1,
				),
				'tx_quickshop_variant' => array(
						'showitem' => ''
						. 'tx_quickshop_variant;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.tx_quickshop_variant,'
						,
						'canNotCollapse' => 0,
				),
				'typeinquiryform' => array(
						'showitem' => ''
						. 'type;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.type,'
//						. 'page;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.page'
						,
						'canNotCollapse' => 1,
				),
				'typepage' => array(
						'showitem' => ''
						. 'type;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.type,'
						. 'page;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.page'
						,
						'canNotCollapse' => 1,
				),
				'typeproduct' => array(
						'showitem' => ''
						. 'type;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.type,'
						. 'tx_quickshop_product;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.tx_quickshop_product'
						,
						'canNotCollapse' => 1,
				),
				'typeurl' => array(
						'showitem' => ''
						. 'type;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.type,'
						. 'url;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.url'
						,
						'canNotCollapse' => 1,
				),
		),
		'types' => array(
					// 0: like record. For fallback only
				'0' => array(
						'showitem' => null
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.product,'
						. '  type,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.skuean;skuean,'
						. '  title, short, description' . \Netzmacher\QuickShop\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_teaser,'
						. '  teaser_title,teaser_short,teaser_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_marginal,'
						. '  marginal_title, marginal_short, marginal_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.price_quantity,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.price;price,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.packingunitWeight;packingunitWeight,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.stockmanagement;stockmanagement,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.quantity;quantity,'
						. '  tx_quickshop_shippingcosts,'
						. \Netzmacher\QuickShop\TCA\Types::Image( 'big', $fal )
						. \Netzmacher\QuickShop\TCA\Types::Media()
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.filter,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.filter;filter,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_provider,'
						. '  tx_quickshop_provider,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.datasheet,'
						. '  layout, cols, datasheet,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.embeddedcode,'
						. '  embeddedcode,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_variants,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.tx_quickshop_variant;tx_quickshop_variant,'
//						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_mail, '
//						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.palette_mailaddress;mailaddress, '
//						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.palette_maillatlon;maillatlon, '
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.control,'
						. '  hidden,topoffer,'
						. '  ebay_keywords,'
						. '--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:palette.access;access,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.seo,'
						. '  seo_keywords, seo_description,'
				,
				),
				'inquiryform' => array(
						'showitem' => null
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.product,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.palette_typeinquiryform;typeinquiryform,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.skuean;skuean,'
						. '  title, short, description' . \Netzmacher\QuickShop\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_teaser,'
						. '  teaser_title,teaser_short,teaser_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_marginal,'
						. '  marginal_title, marginal_short, marginal_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.price_quantity,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.price;price,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.packingunitWeight;packingunitWeight,'
						. \Netzmacher\QuickShop\TCA\Types::Image( 'big', $fal )
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.filter,'
						. '  filterPrompt,tx_quickshop_categories,tx_quickshop_dimension,tx_quickshop_group,tx_quickshop_material,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_provider,'
						. '  tx_quickshop_provider,'
//						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_mail, '
//						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.palette_mailaddress;mailaddress, '
//						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.palette_maillatlon;maillatlon, '
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.control,'
						. '  hidden,topoffer,'
						. '--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:palette.access;access,'
				,
				),
				'notype' => array(
						'showitem' => null
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.product,'
						. '  type,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.skuean;skuean,'
						. '  title, short, description' . \Netzmacher\QuickShop\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_teaser,'
						. '  teaser_title,teaser_short,teaser_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_marginal,'
						. '  marginal_title, marginal_short, marginal_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.price_quantity,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.price;price,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.packingunitWeight;packingunitWeight,'
						. \Netzmacher\QuickShop\TCA\Types::Image( 'big', $fal )
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.filter,'
						. '  filterPrompt,tx_quickshop_categories,tx_quickshop_dimension,tx_quickshop_group,tx_quickshop_material,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_provider,'
						. '  tx_quickshop_provider,'
//						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_mail, '
//						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.palette_mailaddress;mailaddress, '
//						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.palette_maillatlon;maillatlon, '
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.control,'
						. '  hidden,topoffer,'
						. '--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:palette.access;access,'
				,
				),
				'page' => array(
						'showitem' => null
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.product,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.palette_typepage;typepage,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.skuean;skuean,'
						. '  title, short, description' . \Netzmacher\QuickShop\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_teaser,'
						. '  teaser_title,teaser_short,teaser_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_marginal,'
						. '  marginal_title, marginal_short, marginal_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.price_quantity,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.price;price,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.packingunitWeight;packingunitWeight,'
						. \Netzmacher\QuickShop\TCA\Types::Image( 'big', $fal )
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.filter,'
						. '  filterPrompt,tx_quickshop_categories,tx_quickshop_dimension,tx_quickshop_group,tx_quickshop_material,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_provider,'
						. '  tx_quickshop_provider,'
//						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_mail, '
//						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.palette_mailaddress;mailaddress, '
//						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.palette_maillatlon;maillatlon, '
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.control,'
						. '  hidden,topoffer,'
						. '--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:palette.access;access,'
				,
				),
				'product' => array(
						'showitem' => null
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.product,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.palette_typeproduct;typeproduct,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.skuean;skuean,'
						. '  title, short, description' . \Netzmacher\QuickShop\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_teaser,'
						. '  teaser_title,teaser_short,teaser_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_marginal,'
						. '  marginal_title, marginal_short, marginal_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.price_quantity,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.price;price,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.packingunitWeight;packingunitWeight,'
						. \Netzmacher\QuickShop\TCA\Types::Image( 'big', $fal )
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.filter,'
						. '  filterPrompt,tx_quickshop_categories,tx_quickshop_dimension,tx_quickshop_group,tx_quickshop_material,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_provider,'
						. '  tx_quickshop_provider,'
//						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_mail, '
//						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.palette_mailaddress;mailaddress, '
//						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.palette_maillatlon;maillatlon, '
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.control,'
						. '  hidden,topoffer,'
						. '--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:palette.access;access,'
				,
				),
				'record' => array(
						'showitem' => null
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.product,'
						. '  type,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.skuean;skuean,'
						. '  title, short, description' . \Netzmacher\QuickShop\TCA\Palettes::RTE() . ','
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_teaser,'
						. '  teaser_title,teaser_short,teaser_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_marginal,'
						. '  marginal_title, marginal_short, marginal_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.price_quantity,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.price;price,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.packingunitWeight;packingunitWeight,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.stockmanagement;stockmanagement,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.quantity;quantity,'
						. '  tx_quickshop_shippingcosts,'
						. \Netzmacher\QuickShop\TCA\Types::Image( 'big', $fal )
						. \Netzmacher\QuickShop\TCA\Types::Media()
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.filter,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.filter;filter,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_provider,'
						. '  tx_quickshop_provider,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.datasheet,'
						. '  layout, cols, datasheet,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.embeddedcode,'
						. '  embeddedcode,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_variants,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.tx_quickshop_variant;tx_quickshop_variant,'
//						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_mail, '
//						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.palette_mailaddress;mailaddress, '
//						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.palette_maillatlon;maillatlon, '
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.control,'
						. '  hidden,topoffer,'
						. '  ebay_keywords,'
						. '--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:palette.access;access,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.seo,'
						. '  seo_keywords, seo_description,'
				,
				),
				'url' => array(
						'showitem' => null
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.product,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.palette_typeurl;typeurl,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.skuean;skuean,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_teaser,'
						. '  teaser_title,teaser_short,teaser_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_marginal,'
						. '  marginal_title, marginal_short, marginal_description,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.price_quantity,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.price;price,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.packingunitWeight;packingunitWeight,'
						. \Netzmacher\QuickShop\TCA\Types::Image( 'big', $fal )
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.filter,'
						. '  filterPrompt,tx_quickshop_categories,tx_quickshop_dimension,tx_quickshop_group,tx_quickshop_material,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_provider,'
						. '  tx_quickshop_provider,'
//						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div_mail, '
//						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.palette_mailaddress;mailaddress, '
//						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.palette_maillatlon;maillatlon, '
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.div.control,'
						. '  hidden,topoffer,'
						. '--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:palette.access;access,'
				,
				),
		),
);

// Localization support
if( \Netzmacher\QuickShop\ExtensionManager::getLLsupport() )
{
	// Add localization fields to columns array
	$tx_quickshop_products[ 'columns' ][ 'sys_language_uid' ] = array
			(
			'l10n_mode' => 'exclude',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
			'config' => array(
					'type' => 'select',
					'renderType' => 'selectSingle',
					'foreign_table' => 'sys_language',
					'foreign_table_where' => 'ORDER BY sys_language.title',
					'items' => array(
							array( 'LLL:EXT:lang/locallang_general.xml:LGL.allLanguages', -1 ),
							array( 'LLL:EXT:lang/locallang_general.xml:LGL.default_value', 0 )
					)
			)
	);
	$tx_quickshop_products[ 'columns' ][ 'l10n_parent' ] = array
			(
			'l10n_mode' => 'exclude',
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
			'config' => array(
					'type' => 'select',
					'renderType' => 'selectSingle',
					'items' => array(
							array( '', 0 ),
					),
					'foreign_table' => 'tx_quickshop_products',
					'foreign_table_where' => 'AND tx_quickshop_products.' . Netzmacher\QuickShop\Utility\ExtensionManager\Simplifyer::getPidConfigration() . ' AND tx_quickshop_products.sys_language_uid IN (-1,0)',
			)
	);
	$tx_quickshop_products[ 'columns' ][ 'l10n_diffsource' ] = array
			(
			'config' => array(
					'type' => 'passthrough'
			)
	);
	// Add localization fields to columns array
}

$image_1stforlistonly = true;
$tx_quickshop_products[ 'columns' ] = \Netzmacher\QuickShop\TCA\Columns::ImageColumns( $tx_quickshop_products[ 'columns' ], $image_1stforlistonly, $fal );
$tx_quickshop_products[ 'columns' ] = \Netzmacher\QuickShop\TCA\Columns::MediaColumns( $tx_quickshop_products[ 'columns' ] );
$tx_quickshop_products[ 'palettes' ] = \Netzmacher\QuickShop\TCA\Palettes::Image( $tx_quickshop_products[ 'palettes' ], $fal );
$tx_quickshop_products[ 'palettes' ] = \Netzmacher\QuickShop\TCA\Palettes::Media( $tx_quickshop_products[ 'palettes' ] );

// Enable or disable the localisation
$tx_quickshop_products = \Netzmacher\QuickShop\TCA\Localisation::Replace( $tx_quickshop_products );

return $tx_quickshop_products;
