<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$tx_quickshop_tax = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_tax.xml:tx_quickshop_tax',
				'label' => 'value',
				'label_alt' => 'title',
				'label_alt_force' => true,
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'default_sortby' => 'ORDER BY value ASC',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
						'starttime' => 'starttime',
						'endtime' => 'endtime',
				),
				'dividers2tabs' => true,
				'hideAtCopy' => true,
				'iconfile' => 'EXT:quick_shop/Resources/Public/Images/Icons/ExtIcon/quick_shop.svg',
				'searchFields' => ''
				. 'title'
				. ',%%%title_lang_ol'
				. ',%%%value'
				. ',hidden,starttime,endtime'
		),
		'interface' => array(
				'showRecordFieldList' => ''
				. 'title'
				. ',%%%title_lang_ol'
				. ',%%%value'
				. ',hidden,starttime,endtime'
		),
		'columns' => array(
				'title' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_tax.xml:tx_quickshop_tax.title',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'required',
						)
				),
				'title_lang_ol' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_tax.xml:tx_quickshop_tax.title_lang_ol',
						'config' => array(
								'type' => 'input',
								'size' => '30',
						),
				),
				'value' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_tax.xml:tx_quickshop_tax.value',
						'config' => array(
								'type' => 'input',
								'size' => '5',
								'max' => '5',
								'eval' => 'required,double2',
						),
				),
				'hidden' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'hidden' ],
				'starttime' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'starttime' ],
				'endtime' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'endtime' ],
		),
		'palettes' => array(
				'control' => array(
						'showitem' => ''
						. 'hidden,--linebreak--,'
						. 'starttime,endtime'
				),
				'title' => array(
						'showitem' => ''
						. 'title,%%%title_lang_ol,%%%'
						,
						'canNotCollapse' => 1,
				),
		),
		'types' => array(
				'0' => array( 'showitem' => ''
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_tax.xml:tx_quickshop_tax.div_tax,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_org.xml:palette.title;title,'
						. '  value,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_tax.xml:tx_quickshop_tax.div_control,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				),
		),
);

// Enable or disable the localisation
$tx_quickshop_tax = \Netzmacher\QuickShop\TCA\Localisation::Replace( $tx_quickshop_tax );

return $tx_quickshop_tax;
