<?php

if (!defined('TYPO3_MODE')) {
  die('Access denied.');
}

$_EXTKEY = 'quick_shop';

$TCA = array(
    'ctrl' => array(
        'title' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_variantproperty.xml:tx_quickshop_variantproperty',
        'label' => 'title',
        'label_alt' => 'price, tx_quickshop_variant',
        'label_alt_force' => true,
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'sortby' => 'sorting',
        'default_sortby' => 'ORDER BY sorting',
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'delete' => 'deleted',
        'enablecolumns' => array(
            'disabled' => 'hidden',
        ),
        'dividers2tabs' => true,
        'iconfile' => \Netzmacher\Refresh\Compatibility\Core\Utility\ExtensionManagementUtility::extRelPath($_EXTKEY) . 'ext_icon.svg',
        'searchFields' => ''
        . 'defaultvalue,'
        . 'hidden,'
        . 'price,'
        . 'title,'
        . 'tx_quickshop_variant,'
    ,
    ),
    'interface' => array(
        'showRecordFieldList' => ''
        . 'defaultvalue,'
        . 'hidden,'
        . 'price,'
        . 'title,'
        . 'tx_quickshop_variant,'
    ,
    ),
    'columns' => array(
        'defaultvalue' => array(
            'exclude' => 1,
            'l10n_mode' => 'exclude',
            'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_variantproperty.xml:tx_quickshop_variantproperty.defaultvalue',
            'config' => array(
                'type' => 'check',
                'default' => '0'
            ),
        ),
        'hidden' => array(
            'exclude' => 1,
            'l10n_mode' => 'exclude',
            'label' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'hidden' ][ 'label' ],
            'config' => array(
                'type' => 'check',
                'default' => '0'
            ),
        ),
        'price' => array(
            'l10n_mode' => 'exclude',
            'exclude' => 0,
            'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_variantproperty.xml:tx_quickshop_variantproperty.price',
            'config' => array(
                'type' => 'input',
                'size' => '30',
                'eval' => 'double2,nospace',
                'range' => array(
                    'lower' => 0,
                ),
            ),
        ),
        'title' => array(
            'exclude' => 0,
            'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_variantproperty.xml:tx_quickshop_variantproperty.title',
            'config' => array(
                'type' => 'input',
                'size' => '30',
                'eval' => 'required',
            )
        ),
        'tx_quickshop_variant' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_variantproperty.xml:tx_quickshop_variantproperty.tx_quickshop_variant',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectSingle',
                'items' => array(
                    array('', 0),
                ),
                'foreign_table' => 'tx_quickshop_variant',
                'foreign_table_where' => ''
                . 'AND tx_quickshop_variant.pid=###CURRENT_PID### '
                . 'AND tx_quickshop_variant.sys_language_uid IN (-1,###REC_FIELD_sys_language_uid###)'
            ,
            ),
        ),
    ),
    'types' => array(
        '0' => array(
            'showitem' => ''
            . '--palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.property;property,'
            . 'tx_quickshop_variant,'
        ,
        )
    ),
    'palettes' => array(
        'property' => array(
            'showitem' => ''
            . 'defaultvalue;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_variantproperty.xml:tx_quickshop_variantproperty.defaultvalue,--linebreak--,'
            . 'title;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_variantproperty.xml:tx_quickshop_variantproperty.title,'
            . 'price;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_variantproperty.xml:tx_quickshop_variantproperty.price,'
            ,
            'canNotCollapse' => 1,
        ),
    )
);

return $TCA;
