plugin.tx_browser_pi1 {
  templates {
    listview {
      header {
        1 {
					crop  = 30|...|1
          field   = tx_quickshop_provider.teaser_title // teaser_title // tx_quickshop_provider.title // title
        }
      }
      image {
        1 {
          default				= EXT:quick_shop/Resources/Public/Images/Icons/Default/tx_quickshop_provider_300x200.jpg
          field					= image
          file					= tx_quickshop_provider.image
					height				= imageheight
          heightDefault = 303c
          path					= uploads/tx_quickshop/
          seo						= tx_quickshop_provider.imageseo // imageseo
          table					= tx_quickshop_provider
					width 				= imagewidth
          widthDefault	= 303c
        }
      }
      text {
        1 {
					crop	= 80|...|1
          field	= tx_quickshop_provider.teaser_short // tx_quickshop_provider.bodytext
        }
      }
      url {
        1 {
          key       = tx_quickshop_provider.type // type
          page      = tx_quickshop_provider.page // page
          record    = tx_quickshop_provider.uid  // uid
          showUid   = providerUid
          #singlePid =
          url       = tx_quickshop_provider.url // url
        }
      }
    }
    singleview {
      image {
        1 {
					caption           = tx_quickshop_provider.caption // caption
					field             = image
					file              = tx_quickshop_provider.image // image
					height            = tx_quickshop_provider.imageheight // imageheight
					firstForListOnly  = tx_quickshop_provider.image_1stforlistonly // image_1stforlistonly
					imagecols         = tx_quickshop_provider.imagecols // imagecols
					imageorient       = tx_quickshop_provider.imageorient // imageorient
					path              = uploads/tx_quickshop/
					seo               = tx_quickshop_provider.imageseo // imageseo
					table             = tx_quickshop_provider
					width             = tx_quickshop_provider.imagewidth // imagewidth
					zoom              = tx_quickshop_provider.image_zoom // image_zoom
        }
      }
    }
  }
}