  // Buy now
temp.intoTheCaddy = COA
temp.intoTheCaddy {
  belowContent = COA
  belowContent {
      // if [at the bottom]
    if =
    if {
      value = {$plugin.quick_shop.layout.caddy.position}
      equals = at the bottom
    }
    wrap = {$plugin.quick_shop.responsive.wraps.caddy.belowContent}
      // title, price
    10 = COA
    10 {
	      // title
			10 = TEXT
			10 {
				field = tx_quickshop_products.title
	      wrap  = {$plugin.quick_shop.responsive.wraps.caddy.belowContentTitle}
			}
        // price, tax and shipping
			20 = COA
			20 {
					// price
				20 = CASE
				20 {
					key = {$plugin.caddy.variants.mode}
						// price
					default = CASE
					default {
						key {
							field = tx_quickshop_products.stockprompt
						}
							// prompt the price like 999,00 €
						default = 
						default < plugin.tx_caddy.defaults.numberFormatCurrency
						default {
							field = tx_quickshop_products.price
							value >
						}
							// prompt the price like ---,-- €
						application = TEXT
						application {
							value = ---.--
							lang {
								de = ---,--
								en = ---.--
							}
							noTrimWrap = || {$plugin.caddy.main.currencySymbol}|
						}
					}
					variantPerItem < .default
						// 
					variantPerShop < .default
					variantPerShop {
						default {
							prepend = TEXT
							prepend {
								if =
								if {
									isTrue =
									isTrue {
										field = tx_quickshop_products.tx_quickshop_pricevariant
									}
								}
								data = LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:label.fromPrice
								noTrimWrap = || |
							}
						}
					}
				}
					// tax, shipping
				30 = COA
				30 {
						// tax
					10 < plugin.tx_quickshop.templates.tax
					10 {
						1 {
							wrap  >
							noTrimWrap = || |
						}
						2 {
							wrap  >
							noTrimWrap = || |
						}
					}
						// my_shipping_note
					20 = TEXT
					20 {
						if {
							isTrue = {$plugin.quick_shop.layout.caddy.shippingnote}
						}
						value = shipping
						lang {
							de = Versand
							en = shipping
						}
						stdWrap {
							noTrimWrap = || &raquo; |
						}
						typolink.parameter = {$plugin.quick_shop.pages.shipping}
						prepend = TEXT
						prepend {
							value = {$plugin.quick_shop.options.shipping.mode.abbr.en}
							lang {
								de = {$plugin.quick_shop.options.shipping.mode.abbr.de}
								en = {$plugin.quick_shop.options.shipping.mode.abbr.en}
							}
							noTrimWrap = |<br /> | |
						}
					}
					wrap  = <div class="tax-and-shippingnote">|</div>
				}
				wrap  = {$plugin.quick_shop.responsive.wraps.caddy.belowContentPrice}
			}
      wrap  = <div class="price row">|</div>
    }
		60 = CASE
		60 {
			key = {$plugin.caddy.variants.mode}
			default < plugin.tx_quickshop.templates.formWiSelect
			default {
				wrap = {$plugin.quick_shop.responsive.wraps.caddy.belowContentFormWiSelect}
			}
			variantPerItem < plugin.tx_caddy_pi1.templates.fluid.intoTheCaddy
			variantPerShop < plugin.tx_caddy_pi1.templates.fluid.intoTheCaddy
		}
  }
  inTextRight = COA
  inTextRight {
      // if [in text right]
    if =
    if {
      value = {$plugin.quick_shop.layout.caddy.position}
      equals = in text right
    }
    wrap (

			<div style="float:right;padding:0 0 1em 1em;width:40%;">
				<ul class="pricing-table">
					|
				</ul>
			</div>

		)
      // price
    10 = CASE
    10 {
      key {
        field = tx_quickshop_products.stockprompt
      }
        // prompt the price like 999,00 €
      default = 
      default < plugin.tx_caddy.defaults.numberFormatCurrency
      default {
        field = tx_quickshop_products.price
        value >
      }
        // prompt the price like ---,-- €
      application = TEXT
      application {
        value = ---.--
        lang {
          de = ---,--
          en = ---.--
        }
        noTrimWrap = || {$plugin.caddy.main.currencySymbol}|
      }
      stdWrap {
        wrap  = <li class="price">|</li>
      }
    }
      // tax, my_shipping_note
    30 = COA
    30 {
        // tax
      10 < plugin.tx_quickshop.templates.tax
      10 {
        1 {
          wrap  = <li class="bullet-item">|</li>
          wrap  = |<br />
        }
        2 {
          wrap  = <li class="bullet-item">|</li>
          wrap  = |<br />
        }
      }
        // my_shipping_note
      20 = TEXT
      20 {
        if {
          isTrue = {$plugin.quick_shop.layout.caddy.shippingnote}
        }
        value = shipping
        lang {
          de = Versand
          en = shipping
        }
        typolink.parameter = {$plugin.quick_shop.pages.shipping}
        prepend = TEXT
        prepend {
					value = {$plugin.quick_shop.options.shipping.mode.abbr.en}
					lang {
						de = {$plugin.quick_shop.options.shipping.mode.abbr.de}
						en = {$plugin.quick_shop.options.shipping.mode.abbr.en}
					}
        }
        noTrimWrap = | ||
      }
      wrap  = <li class="bullet-item">|</li>
    }
    60 < plugin.tx_quickshop.templates.formWiSelect
    60 {
      wrap = <li class="caddyWoMargin">|</li>
    }
  }
}