<?php

/* * ************************************************
 * 
 * See:
 * https://docs.typo3.org/typo3cms/extensions/quick_shop/
 * Docs » Integrators » Real URL
 * 
 * ************************************************* */

// Use next line for check, if include_once() from below is successful
//die('died in' . __FILE__ );

/* * ************************************************
 * 
 * Default real URL configuration for postVarSets
 * 
 * ************************************************* */

$realurlForQuickshopEn = array(
		// tx_quickshop_categories
		'categorie' => array(
				array(
						'GETvar' => 'tx_browser_pi1[itemUid]',
						'lookUpTable' => array(
								'table' => 'tx_quickshop_categories',
								'id_field' => 'uid',
								'alias_field' => 'title',
								'addWhereClause' => ' AND NOT deleted AND NOT hidden',
								'useUniqueCache' => 1,
								'useUniqueCache_conf' => array(
										'strtolower' => 1,
										'spaceCharacter' => '-',
								),
						),
				),
		),
		// tx_quickshop_dimension
		'dimension' => array(
				array(
						'GETvar' => 'tx_browser_pi1[itemUid]',
						'lookUpTable' => array(
								'table' => 'tx_quickshop_dimension',
								'id_field' => 'uid',
								'alias_field' => 'title',
								'addWhereClause' => ' AND NOT deleted AND NOT hidden',
								'useUniqueCache' => 1,
								'useUniqueCache_conf' => array(
										'strtolower' => 1,
										'spaceCharacter' => '-',
								),
						),
				),
		),
		// tx_quickshop_group
		'group' => array(
				array(
						'GETvar' => 'tx_browser_pi1[itemUid]',
						'lookUpTable' => array(
								'table' => 'tx_quickshop_group',
								'id_field' => 'uid',
								'alias_field' => 'title',
								'addWhereClause' => ' AND NOT deleted AND NOT hidden',
								'useUniqueCache' => 1,
								'useUniqueCache_conf' => array(
										'strtolower' => 1,
										'spaceCharacter' => '-',
								),
						),
				),
		),
		// tx_quickshop_material
		'material' => array(
				array(
						'GETvar' => 'tx_browser_pi1[itemUid]',
						'lookUpTable' => array(
								'table' => 'tx_quickshop_material',
								'id_field' => 'uid',
								'alias_field' => 'title',
								'addWhereClause' => ' AND NOT deleted AND NOT hidden',
								'useUniqueCache' => 1,
								'useUniqueCache_conf' => array(
										'strtolower' => 1,
										'spaceCharacter' => '-',
								),
						),
				),
		),
		// tx_quickshop_products
		'item' => array(
				array(
						'GETvar' => 'tx_browser_pi1[itemUid]',
						'lookUpTable' => array(
								'table' => 'tx_quickshop_products',
								'id_field' => 'uid',
								'alias_field' => 'title',
								'addWhereClause' => ' AND NOT deleted AND NOT hidden',
								'useUniqueCache' => 1,
								'useUniqueCache_conf' => array(
										'strtolower' => 1,
										'spaceCharacter' => '-',
								),
						),
				),
		),
		// tx_quickshop_provider
		'provider' => array(
				array(
						'GETvar' => 'tx_browser_pi1[providerUid]',
						'lookUpTable' => array(
								'table' => 'tx_quickshop_provider',
								'id_field' => 'uid',
								'alias_field' => 'title',
								'addWhereClause' => ' AND NOT deleted AND NOT hidden',
								'useUniqueCache' => 1,
								'useUniqueCache_conf' => array(
										'strtolower' => 1,
										'spaceCharacter' => '-',
								),
						),
				),
		),
);

if( isset( $GLOBALS['TYPO3_CONF_VARS'][ 'EXTCONF' ][ 'realurl' ][ '_DEFAULT' ][ 'postVarSets' ][ '_DEFAULT' ] ) )
{
	$GLOBALS['TYPO3_CONF_VARS'][ 'EXTCONF' ][ 'realurl' ][ '_DEFAULT' ][ 'postVarSets' ][ '_DEFAULT' ] 
					= $GLOBALS['TYPO3_CONF_VARS'][ 'EXTCONF' ][ 'realurl' ][ '_DEFAULT' ][ 'postVarSets' ][ '_DEFAULT' ] 
					+ $realurlForQuickshopEn
	;
}
else
{
	$GLOBALS['TYPO3_CONF_VARS'][ 'EXTCONF' ][ 'realurl' ][ '_DEFAULT' ][ 'postVarSets' ] = [ '_DEFAULT' => $realurlForQuickshopEn ];
}

