plugin.tx_browser_pi1 {
  marker {
			// 10: image from tx_quickshop_categories. 20: image from pages
    categoryimage = COA
    categoryimage {
				// if.isTrue.data = GP:{$plugin.quick_shop.categoryimage.gp}, FILES (internal #t1558)
			10 = COA
			10 {
					// if.isTrue.data = GP:{$plugin.quick_shop.categoryimage.gp}
				if =
				if {
						// isTrue.data = GP:{$plugin.quick_shop.categoryimage.gp}
					isTrue =
					isTrue {
						data    = GP:{$plugin.quick_shop.categoryimage.gp}
						intval  = 1
					}
				}
				wrap	=	<div class="teaserimagecat">|</div>
					// For development only
				XXX-DEV-10 = TEXT
				XXX-DEV-10 {
					data    = GP:{$plugin.quick_shop.categoryimage.gp}
					intval  = 1
					wrap	=	<h1>|</h1>
				}
				50 = FILES
				50 {
						// table, uid, fieldName
					references = 
					references {
						table     = tx_quickshop_categories
							// data = GP:{$plugin.quick_shop.categoryimage.gp}
						uid = 
						uid {
							data		= GP:{$plugin.quick_shop.categoryimage.gp}
							intval	= 1
						}
						fieldName = image
					}
					begin = {$plugin.quick_shop.categoryimage.begin}
					maxItems = 1
						// altText, file, imageLinkWrap, layout, layoutKey, sourceCollection, titleText
					renderObj = COA
					renderObj {
						10 = TEXT
						10 {
								// if.isTrue = {$plugin.quick_shop.categoryimage.wrap.description.above.enabled}
							if =
							if {
									// isTrue.data = GP:{$plugin.quick_shop.categoryimage.gp}
								isTrue = {$plugin.quick_shop.categoryimage.wrap.description.above.enabled}
							}
							data = file:current:description
							wrap = {$plugin.quick_shop.categoryimage.wrap.description.above.wrap}
						}
						20 = IMAGE
						20 {
								// file:current:uid: height, import, treatIdAsReference, width
							file =
							file {
								treatIdAsReference = 1
									// file:current:uid
								import = 
								import { 
									data = file:current:uid
								}
								height = {$plugin.quick_shop.categoryimage.height}
								width = {$plugin.quick_shop.categoryimage.width}
							}
								// file:current:alternative
							altText = TEXT
							altText {
								data = file:current:alternative
								stdWrap {
									stripHtml = 1
									htmlSpecialChars = 1
								}
							}
								// file:current:title
							titleText = TEXT
							titleText {
								data = file:current:title
								stdWrap {
									stripHtml = 1
									htmlSpecialChars = 1
								}
							}
								// enabled by default
							imageLinkWrap = 0
							layoutKey = {$plugin.quick_shop.categoryimage.layoutKey}
								// data, default, picture, srcset
							layout =
							layout {
								data {
									element = <img src="###SRC###" width="###WIDTH###" height="###HEIGHT###" ###SOURCECOLLECTION### ###PARAMS### ###ALTPARAMS### ###SELFCLOSINGTAGSLASH###>
									source.noTrimWrap = | data-###DATAKEY###="###SRC###"|
								}
								default {
								 element = <img src="###SRC###" width="###WIDTH###" height="###HEIGHT###" ###PARAMS### ###ALTPARAMS### ###BORDER### ###SELFCLOSINGTAGSLASH###>
								 source =
								}
								picture {
									element = <picture>###SOURCECOLLECTION###<img src="###SRC###" width="###WIDTH###" height="###HEIGHT###" ###PARAMS### ###ALTPARAMS### ###SELFCLOSINGTAGSLASH###></picture>
									source = <source src="###SRC###" media="###MEDIAQUERY###" ###SELFCLOSINGTAGSLASH###>
								}
								srcset {
									element = <img src="###SRC###" width="###WIDTH###" height="###HEIGHT###" srcset="###SOURCECOLLECTION###" ###PARAMS### ###ALTPARAMS### ###SELFCLOSINGTAGSLASH###>
									source = |*|###SRC### ###SRCSETCANDIDATE###,|*|###SRC### ###SRCSETCANDIDATE###
								}
							}
								// small, smallHires, smallRetina
							sourceCollection =
							sourceCollection {
								small {
									width = 200
									srcsetCandidate = 800w
									mediaQuery = (min-device-width: 800px)
									dataKey = small
								}
								smallHires {
									if.directReturn = 1
									width = 300
									pixelDensity = 2
									srcsetCandidate = 800w 2x
									mediaQuery = (min-device-width: 800px) AND (foobar)
									dataKey = smallHires
									pictureFoo = bar
								}
								smallRetina {
									if.directReturn = 1
									width = 200
									pixelDensity = 2
									srcsetCandidate = 600w 2x
									mediaQuery = (max-device-width: 600px) AND (min-resolution: 192dpi)
									dataKey = smallRetina
								}
							}
						}
						30 = TEXT
						30 {
								// if.isTrue = {$plugin.quick_shop.categoryimage.wrap.description.below.enabled}
							if =
							if {
									// isTrue.data = GP:{$plugin.quick_shop.categoryimage.gp}
								isTrue = {$plugin.quick_shop.categoryimage.wrap.description.below.enabled}
							}
							data = file:current:description
							wrap = {$plugin.quick_shop.categoryimage.wrap.description.below.wrap}
						}
					}
				}
			}
				// references, renderObj
			20 = COA
			20 {
					// if.isTrue.data = GP:{$plugin.quick_shop.categoryimage.gp}
				if =
				if {
						// isTrue.data = GP:{$plugin.quick_shop.categoryimage.gp}
					isTrue =
					isTrue {
						data    = GP:{$plugin.quick_shop.categoryimage.gp}
						intval  = 1
					}
					negate = 1
				}
				wrap	=	<div class="teaserimagecat">|</div>
				10 = FILES
				10 {
						// data = levelmedia: -1, slide
					references =
					references {
						data = levelmedia: -1, slide
					}
					renderObj < plugin.tx_browser_pi1.marker.categoryimage.10.50.renderObj
					renderObj {
						file {
							treatIdAsReference = 0
							import >
								// dataWrap = {file:current:storage}:{file:current:identifier}
							import =	
							import { 
								dataWrap = {file:current:storage}:{file:current:identifier}
							}
							height = {$plugin.quick_shop.categoryimage.height}
							width = {$plugin.quick_shop.categoryimage.width}
						}
					}
				}
			}
    }
  }
}
